Namespace
library
Image / Tag
consul:1.4.3
Content Digest
sha256:778f4c43c9669546988f6710abc23900ed77cc3222ca4f520038ddb3ef5d5281
Details
Created

2019-03-08 04:09:53 UTC

Size

35.9 MB

Content Digest
Environment
CONSUL_VERSION

1.4.3

HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:aefea79d2300fff07c38505e077fe3dd5057323f7073024e51b0f3ac80f4c49d - 5.77% (2.07 MB)

[#001] sha256:790ac626f36b320d8d72f07f260d2a9308d7a8a4e4d58808cb865077dda52e99 - 0.0% (1.23 KB)

[#002] sha256:21d1594269a886822e591494f55cad657208f56d0ef865c7d232c9ba1f18e50c - 94.22% (33.8 MB)

[#003] sha256:509d9cce490a02fd8ab2092180e0cc50f66d9e7765791951a92dcc465c841a52 - 0.0% (142 Bytes)

[#004] sha256:6bec78d1d5556c81ef840f2cd80a993c37fddb796f6c025052cddfe05a83f1fd - 0.0% (154 Bytes)

[#005] sha256:ba59fd9f5a1440a34fc299e6fa1ff81695006b4d086bfc5f0c707d4475a225da - 0.0% (1.64 KB)


History
2019-03-08 03:36:06 UTC

/bin/sh -c #(nop) ADD file:eca24f9ef61dc86fee19b7e25d939a4ce663b5c36d7ed6b8553a4b4f5784d14b in /

2019-03-08 03:36:06 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2019-03-08 04:09:41 UTC

/bin/sh -c #(nop) MAINTAINER Consul Team <consul@hashicorp.com>

2019-03-08 04:09:41 UTC

/bin/sh -c #(nop) ENV CONSUL_VERSION=1.4.3

2019-03-08 04:09:41 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2019-03-08 04:09:42 UTC

/bin/sh -c addgroup consul && adduser -S -G consul consul

2019-03-08 04:09:50 UTC

/bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq && gpg --keyserver pgp.mit.edu --recv-keys 91A6E7F85D05C65630BEF18951852D87348FFC4C && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2019-03-08 04:09:51 UTC

/bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2019-03-08 04:09:51 UTC

/bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2019-03-08 04:09:52 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2019-03-08 04:09:52 UTC

/bin/sh -c #(nop) EXPOSE 8300

2019-03-08 04:09:52 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2019-03-08 04:09:52 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2019-03-08 04:09:52 UTC

/bin/sh -c #(nop) COPY file:2fc9ee792fd5d6e21568c1fcc92d825866250fafd9f3c82331ad98c840b3dd45 in /usr/local/bin/docker-entrypoint.sh

2019-03-08 04:09:53 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2019-03-08 04:09:53 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2019-03-07 23:09:20 UTC

Size

36.6 MB

Content Digest
Environment
CONSUL_VERSION

1.4.3

HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:5d20c808ce198565ff70b3ed23a991dd49afac45dece63474b27ce6ed036adc6 - 5.49% (2.01 MB)

[#001] sha256:b9c84632fec01a8fa7c68acfaec7a9ec0a234763a2d5d7565955bae9dab9075f - 0.0% (1.23 KB)

[#002] sha256:d1a163d1a51581854ab8631291216c4c586213998b172f8b1f570806ac95c82b - 94.5% (34.6 MB)

[#003] sha256:c8a6737da7863a7d25a1b25a5fb56e45debba8a57d954b899b429a01b13fc7c0 - 0.0% (142 Bytes)

[#004] sha256:e359be04f0bbb3fcc244706989974f33ca3379a43e8972c3720e43cb2ac9547f - 0.0% (155 Bytes)

[#005] sha256:b044b709e58ef76a7b3e6a6c52611a24e50312107474fa2ec928d6b42c8bc874 - 0.0% (1.64 KB)


History
2019-03-07 22:19:53 UTC

/bin/sh -c #(nop) ADD file:aa17928040e31624cad9c7ed19ac277c5402c4b9ba39f834250affca40c4046e in /

2019-03-07 22:19:53 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2019-03-07 23:09:10 UTC

/bin/sh -c #(nop) MAINTAINER Consul Team <consul@hashicorp.com>

2019-03-07 23:09:11 UTC

/bin/sh -c #(nop) ENV CONSUL_VERSION=1.4.3

2019-03-07 23:09:11 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2019-03-07 23:09:11 UTC

/bin/sh -c addgroup consul && adduser -S -G consul consul

2019-03-07 23:09:18 UTC

/bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq && gpg --keyserver pgp.mit.edu --recv-keys 91A6E7F85D05C65630BEF18951852D87348FFC4C && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2019-03-07 23:09:18 UTC

/bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2019-03-07 23:09:19 UTC

/bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2019-03-07 23:09:19 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2019-03-07 23:09:20 UTC

/bin/sh -c #(nop) EXPOSE 8300

2019-03-07 23:09:20 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2019-03-07 23:09:20 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2019-03-07 23:09:20 UTC

/bin/sh -c #(nop) COPY file:2fc9ee792fd5d6e21568c1fcc92d825866250fafd9f3c82331ad98c840b3dd45 in /usr/local/bin/docker-entrypoint.sh

2019-03-07 23:09:20 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2019-03-07 23:09:20 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2019-03-08 03:52:38 UTC

Size

34.7 MB

Content Digest
Environment
CONSUL_VERSION

1.4.3

HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:1debd7fe5349ada802e5b176f99ddbfdf432a51a67897f0000ec665d31a33293 - 5.64% (1.96 MB)

[#001] sha256:4ea00ed1797a9284c7dfae3d819052e0f490d383e777cc22873b67cff4b54c10 - 0.0% (1.26 KB)

[#002] sha256:d68c588727f84f3b70e738cb6ef8a452cc1e17d88bf233aa8e6c86e472d76ec2 - 94.35% (32.7 MB)

[#003] sha256:301ffb1fc945a037f42652b6615c4848b7d2f3f2718afc69263e55a11722d6ab - 0.0% (174 Bytes)

[#004] sha256:2d30fc981b9078dac6a0557ed78244386b70485df200b65e37b41da8fd2cee37 - 0.0% (155 Bytes)

[#005] sha256:9b3b66e7f70231e6358f5ce84f1d730e3186f3f34cd582a25855a14ce7b07493 - 0.0% (1.64 KB)


History
2019-03-08 03:36:19 UTC

/bin/sh -c #(nop) ADD file:81d5fd270fcda0eebec04e6f74f4834e629c70ffe142ec40611caf179e34d4c1 in /

2019-03-08 03:36:20 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2019-03-08 03:52:21 UTC

/bin/sh -c #(nop) MAINTAINER Consul Team <consul@hashicorp.com>

2019-03-08 03:52:21 UTC

/bin/sh -c #(nop) ENV CONSUL_VERSION=1.4.3

2019-03-08 03:52:21 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2019-03-08 03:52:23 UTC

/bin/sh -c addgroup consul && adduser -S -G consul consul

2019-03-08 03:52:33 UTC

/bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq && gpg --keyserver pgp.mit.edu --recv-keys 91A6E7F85D05C65630BEF18951852D87348FFC4C && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2019-03-08 03:52:34 UTC

/bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2019-03-08 03:52:36 UTC

/bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2019-03-08 03:52:36 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2019-03-08 03:52:37 UTC

/bin/sh -c #(nop) EXPOSE 8300

2019-03-08 03:52:37 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2019-03-08 03:52:37 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2019-03-08 03:52:38 UTC

/bin/sh -c #(nop) COPY file:2fc9ee792fd5d6e21568c1fcc92d825866250fafd9f3c82331ad98c840b3dd45 in /usr/local/bin/docker-entrypoint.sh

2019-03-08 03:52:38 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2019-03-08 03:52:38 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2019-03-08 07:55:56 UTC

Size

34.2 MB

Content Digest
Environment
CONSUL_VERSION

1.4.3

HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:40223db5366fa5aa8fd6b2c2b3f97d1daf156cef4d139adf144f36b165d85afe - 5.57% (1.91 MB)

[#001] sha256:60783ab867023ad9bf7c792d297d3392353cddcd806dbf4f2f5bf9239f1be59a - 0.0% (1.23 KB)

[#002] sha256:ab02c80309c2b1d537b4fd84c55558502b0b67381ab887212fba82468d916409 - 94.42% (32.3 MB)

[#003] sha256:6aa0c91d5a7a72b45a24e90caa839c3cfd5e6eb97cc03596ae5a5b1d2aa6a7a1 - 0.0% (143 Bytes)

[#004] sha256:e161ce5844fcda0a2da3213a0cfb3a0d3fae165ba9dc5f200891ccf65cd4bd08 - 0.0% (152 Bytes)

[#005] sha256:e79673b3a0249f973062440a6d6cbf6031259fb564467b790145b3063422ef03 - 0.0% (1.64 KB)


History
2019-03-08 03:37:21 UTC

/bin/sh -c #(nop) ADD file:593fdff46d6e2edf7fc03d568a8d8d4149ef13f8c2b1af554299a8d0d0e06e2f in /

2019-03-08 03:37:22 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2019-03-08 07:55:23 UTC

/bin/sh -c #(nop) MAINTAINER Consul Team <consul@hashicorp.com>

2019-03-08 07:55:24 UTC

/bin/sh -c #(nop) ENV CONSUL_VERSION=1.4.3

2019-03-08 07:55:25 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2019-03-08 07:55:28 UTC

/bin/sh -c addgroup consul && adduser -S -G consul consul

2019-03-08 07:55:43 UTC

/bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq && gpg --keyserver pgp.mit.edu --recv-keys 91A6E7F85D05C65630BEF18951852D87348FFC4C && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2019-03-08 07:55:46 UTC

/bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2019-03-08 07:55:49 UTC

/bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2019-03-08 07:55:50 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2019-03-08 07:55:51 UTC

/bin/sh -c #(nop) EXPOSE 8300

2019-03-08 07:55:52 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2019-03-08 07:55:53 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2019-03-08 07:55:53 UTC

/bin/sh -c #(nop) COPY file:2fc9ee792fd5d6e21568c1fcc92d825866250fafd9f3c82331ad98c840b3dd45 in /usr/local/bin/docker-entrypoint.sh

2019-03-08 07:55:54 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2019-03-08 07:55:56 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]